Mandrake Linux Security Advisory : kdebase (MDKSA-2007:138)

Medium Nessus Plugin ID 25666

New! Vulnerability Priority Rating (VPR)

Tenable calculates a dynamic VPR for every vulnerability. VPR combines vulnerability information with threat intelligence and machine learning algorithms to predict which vulnerabilities are most likely to be exploited in attacks. Read more about what VPR is and how it's different from CVSS.

VPR Score: 5.9

Synopsis

The remote Mandrake Linux host is missing one or more security updates.

Description

An issue with the interaction between the Flash Player and the Konqueror web browser was discovered, which could lead to key presses leaking to the Flash Player instead of to the browser. This only affects users who have actually installed the Adobe Flash Player plugin.

Updated packages have been patched to prevent this issue.

Solution

Update the affected packages.

Plugin Details

Severity: Medium

ID: 25666

File Name: mandrake_MDKSA-2007-138.nasl

Version: 1.15

Type: local

Published: 2007/07/04

Updated: 2019/08/02

Dependencies: 12634

Risk Information

Risk Factor: Medium

VPR Score: 5.9

CVSS v2.0

Base Score: 6.8

Vector: CVSS2#AV:N/AC:M/Au:N/C:P/I:P/A:P

Vulnerability Information

CPE: p-cpe:/a:mandriva:linux:kdebase, p-cpe:/a:mandriva:linux:kdebase-common, p-cpe:/a:mandriva:linux:kdebase-kate, p-cpe:/a:mandriva:linux:kdebase-kdeprintfax, p-cpe:/a:mandriva:linux:kdebase-kdm, p-cpe:/a:mandriva:linux:kdebase-kmenuedit, p-cpe:/a:mandriva:linux:kdebase-konsole, p-cpe:/a:mandriva:linux:kdebase-nsplugins, p-cpe:/a:mandriva:linux:kdebase-progs, p-cpe:/a:mandriva:linux:kdebase-session-plugins, p-cpe:/a:mandriva:linux:lib64kdebase4, p-cpe:/a:mandriva:linux:lib64kdebase4-devel, p-cpe:/a:mandriva:linux:lib64kdebase4-kate, p-cpe:/a:mandriva:linux:lib64kdebase4-kate-devel, p-cpe:/a:mandriva:linux:lib64kdebase4-kmenuedit, p-cpe:/a:mandriva:linux:lib64kdebase4-konsole, p-cpe:/a:mandriva:linux:libkdebase4, p-cpe:/a:mandriva:linux:libkdebase4-devel, p-cpe:/a:mandriva:linux:libkdebase4-kate, p-cpe:/a:mandriva:linux:libkdebase4-kate-devel, p-cpe:/a:mandriva:linux:libkdebase4-kmenuedit, p-cpe:/a:mandriva:linux:libkdebase4-konsole, cpe:/o:mandriva:linux:2007, cpe:/o:mandriva:linux:2007.1

Required KB Items: Host/local_checks_enabled, Host/cpu, Host/Mandrake/release, Host/Mandrake/rpm-list

Patch Publication Date: 2007/07/03

Reference Information

CVE: CVE-2007-2022

MDKSA: 2007:138

CWE: 200